Package com.smartgwt.client.types

# Enum MatchElementSizeMode

java.lang.Object
java.lang.Enum<MatchElementSizeMode>
com.smartgwt.client.types.MatchElementSizeMode

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<MatchElementSizeMode>`, `Constable`

public enum MatchElementSizeMode extends Enum<MatchElementSizeMode> implements ValueEnum
How should a canvas match its target `Canvas.htmlElement` size?

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MATCHELEMENT`
  canvas will be sized to match the element
  `NONE`
  do not attempt to match the canvas / element size
  `SIZEELEMENT`
  htmlElement should be sized to match the specified size of the canvas

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static MatchElementSizeMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static MatchElementSizeMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MATCHELEMENT

    public static final MatchElementSizeMode MATCHELEMENT
    canvas will be sized to match the element

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "matchElement".

  - ### SIZEELEMENT

    public static final MatchElementSizeMode SIZEELEMENT
    htmlElement should be sized to match the specified size of the canvas

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "sizeElement".

  - ### NONE

    public static final MatchElementSizeMode NONE
    do not attempt to match the canvas / element size

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

- ## Method Details

  - ### values

    public static MatchElementSizeMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static MatchElementSizeMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`